Index: tmp/org.txm.setups/nsis/Include/Win/COM.nsh
===================================================================
--- tmp/org.txm.setups/nsis/Include/Win/COM.nsh	(revision 0)
+++ tmp/org.txm.setups/nsis/Include/Win/COM.nsh	(revision 2956)
@@ -0,0 +1,333 @@
+/*
+-------------
+   COM.nsh
+-------------
+
+COM defines and helper macros
+
+; Example usage:
+!include LogicLib.nsh
+!include Win\COM.nsh
+!include Win\Propkey.nsh
+!insertmacro ComHlpr_CreateInProcInstance ${CLSID_ShellLink} ${IID_IShellLink} r0 ""
+${If} $0 P<> 0
+	${IShellLink::SetPath} $0 '("%COMSPEC%").r1'
+	${IShellLink::SetArguments} $0 '("/k echo HelloWorld").r2'
+	${If} $1 = 0
+	${AndIf} $2 = 0
+		${IUnknown::QueryInterface} $0 '("${IID_IPropertyStore}",.r1)'
+		${If} $1 P<> 0
+			System::Call '*${SYSSTRUCT_PROPERTYKEY}(${PKEY_AppUserModel_StartPinOption})p.r2'
+			System::Call '*${SYSSTRUCT_PROPVARIANT}(${VT_UI4},,&i4 ${APPUSERMODEL_STARTPINOPTION_NOPINONINSTALL})p.r3'
+			${IPropertyStore::SetValue} $1 '($2,$3)'
+
+			; Reuse the PROPERTYKEY & PROPVARIANT buffers to set another property
+			System::Call '*$2${SYSSTRUCT_PROPERTYKEY}(${PKEY_AppUserModel_ExcludeFromShowInNewInstall})'
+			System::Call '*$3${SYSSTRUCT_PROPVARIANT}(${VT_BOOL},,&i2 ${VARIANT_TRUE})'
+			${IPropertyStore::SetValue} $1 '($2,$3)'
+
+			System::Free $2
+			System::Free $3
+			${IPropertyStore::Commit} $1 ""
+			${IUnknown::Release} $1 ""
+		${EndIf}
+		${IUnknown::QueryInterface} $0 '("${IID_IPersistFile}",.r1)'
+		${If} $1 P<> 0
+			${IPersistFile::Save} $1 '("$SMPrograms\nsis_test.lnk",1)'
+			${IUnknown::Release} $1 ""
+		${EndIf}
+	${EndIf}
+	${IUnknown::Release} $0 ""
+${EndIf}
+
+*/
+
+
+!ifndef __WIN_COM__INC
+!define __WIN_COM__INC ${NSIS_CHAR_SIZE}
+!verbose push
+!verbose 3
+
+!define /ifndef STGM_READ 0
+!define /ifndef STGM_WRITE 1
+!define /ifndef STGM_READWRITE 2
+!define /ifndef STGM_SHARE_DENY_NONE  0x00000040
+!define /ifndef STGM_SHARE_DENY_READ  0x00000030
+!define /ifndef STGM_SHARE_DENY_WRITE 0x00000020
+!define /ifndef STGM_SHARE_EXCLUSIVE  0x00000010
+!define /ifndef STGM_PRIORITY         0x00040000
+!define /ifndef STGM_CREATE      0x00001000
+!define /ifndef STGM_CONVERT     0x00020000
+!define /ifndef STGM_FAILIFTHERE 0
+!define /ifndef STGM_DELETEONRELEASE 0x04000000
+
+!define /ifndef CLSCTX_INPROC_SERVER 0x1
+!define /ifndef CLSCTX_INPROC_HANDLER 0x2
+!define /ifndef CLSCTX_LOCAL_SERVER 0x4
+!define /ifndef CLSCTX_REMOTE_SERVER 0x10
+!define /ifndef CLSCTX_ACTIVATE_32_BIT_SERVER 0x40000
+!define /ifndef CLSCTX_ACTIVATE_64_BIT_SERVER 0x80000
+!define /ifndef CLSCTX_ENABLE_CLOAKING 0x100000
+
+!define NSISCOMCALL "!insertmacro NSISCOMCALL "
+!macro NSISCOMCALL vtblidx decl ptr params
+!if ${NSIS_CHAR_SIZE} <> ${__WIN_COM__INC}
+; Warn if QueryInterface() for IID_IShellLink etc will return the wrong interface
+!warning "NSIS_CHAR_SIZE changed, existing defines and macros might not work correctly!"
+!endif
+System::Call `${ptr}->${vtblidx}${decl}${params}`
+!macroend
+!define NSISCOMIFACEDECL "!insertmacro NSISCOMIFACEDECL "
+!macro NSISCOMIFACEDECL iface method vtblidx decl
+!define ${iface}::${method} `${NSISCOMCALL} ${vtblidx} ${decl} `
+!macroend
+
+!macro ComHlpr_CreateInstance clsid iid sysoutvarIFacePtr sysret
+System::Call 'OLE32::CoCreateInstance(g"${clsid}",i0,i23,g"${iid}",*p.${sysoutvarIFacePtr})i${sysret}'
+!macroend
+!macro ComHlpr_CreateInProcInstance clsid iid sysoutvarIFacePtr sysret
+System::Call 'OLE32::CoCreateInstance(g"${clsid}",i0,i${CLSCTX_INPROC_SERVER},g"${iid}",*p.${sysoutvarIFacePtr})i${sysret}'
+!macroend
+
+!macro ComHlpr_SafeRelease _p
+${If} ${_p} P<> 0
+	${IUnknown::Release} ${_p} ""
+${EndIf}
+!macroend
+!macro ComHlpr_SafeReleaseAndNull _p
+${If} ${_p} P<> 0
+	${IUnknown::Release} ${_p} ""
+	StrCpy ${_p} 0
+${EndIf}
+!macroend
+
+
+!ifndef IID_IUnknown
+!define IID_IUnknown {00000000-0000-0000-C000-000000000046}
+${NSISCOMIFACEDECL}IUnknown QueryInterface 0 (g,*p)i
+${NSISCOMIFACEDECL}IUnknown AddRef 1 ()i
+${NSISCOMIFACEDECL}IUnknown Release 2 ()i
+!endif
+
+!ifndef IID_IPersist
+!define IID_IPersist {0000010c-0000-0000-C000-000000000046}
+${NSISCOMIFACEDECL}IPersist GetClassID 3 (g)i
+!endif
+
+!ifndef IID_IPersistStream
+!define IID_IPersistStream {00000109-0000-0000-C000-000000000046} ; IPersist>
+${NSISCOMIFACEDECL}IPersistStream IsDirty 4 ()i
+${NSISCOMIFACEDECL}IPersistStream Load 5 (p,i)i
+${NSISCOMIFACEDECL}IPersistStream Save 6 (p,i)i
+${NSISCOMIFACEDECL}IPersistStream GetSizeMax 7 (*l)i
+!endif
+!ifndef IID_IPersistStreamInit
+!define IID_IPersistStreamInit {7FD52380-4E07-101B-AE2D-08002B2EC713} ; IPersist>
+${NSISCOMIFACEDECL}IPersistStreamInit IsDirty 4 ()i
+${NSISCOMIFACEDECL}IPersistStreamInit Load 5 (p,i)i
+${NSISCOMIFACEDECL}IPersistStreamInit Save 6 (p,i)i
+${NSISCOMIFACEDECL}IPersistStreamInit GetSizeMax 7 (*l)i
+${NSISCOMIFACEDECL}IPersistStreamInit InitNew 8 ()i
+!endif
+
+!ifndef IID_IPersistFile
+!define IID_IPersistFile {0000010b-0000-0000-C000-000000000046} ; IPersist>
+${NSISCOMIFACEDECL}IPersistFile IsDirty 4 ()i
+${NSISCOMIFACEDECL}IPersistFile Load 5 (w,i)i
+${NSISCOMIFACEDECL}IPersistFile Save 6 (w,i)i
+${NSISCOMIFACEDECL}IPersistFile SaveCompleted 7 (w)i
+${NSISCOMIFACEDECL}IPersistFile GetCurFile 8 (*w)i
+!endif
+
+!ifndef CLSID_ShellLink
+!define CLSID_ShellLink {00021401-0000-0000-c000-000000000046}
+!endif
+!ifndef IID_IShellLink
+!define IID_IShellLinkA {000214ee-0000-0000-c000-000000000046}
+!define IID_IShellLinkW {000214f9-0000-0000-c000-000000000046}
+!ifdef NSIS_UNICODE
+!define IID_IShellLink ${IID_IShellLinkW}
+!else
+!define IID_IShellLink ${IID_IShellLinkA}
+!endif
+${NSISCOMIFACEDECL}IShellLink GetPath 3 (t,i,p,i)i
+${NSISCOMIFACEDECL}IShellLink GetIDList 4 (*p)i
+${NSISCOMIFACEDECL}IShellLink SetIDList 5 (p)i
+${NSISCOMIFACEDECL}IShellLink GetDescription 6 (t,i)i
+${NSISCOMIFACEDECL}IShellLink SetDescription 7 (t)i
+${NSISCOMIFACEDECL}IShellLink GetWorkingDirectory 8 (t,i)i
+${NSISCOMIFACEDECL}IShellLink SetWorkingDirectory 9 (t)i
+${NSISCOMIFACEDECL}IShellLink GetArguments 10 (t,i)i
+${NSISCOMIFACEDECL}IShellLink SetArguments 11 (t)i
+${NSISCOMIFACEDECL}IShellLink GetHotkey 12 (*i0)i
+${NSISCOMIFACEDECL}IShellLink SetHotkey 13 (&i2)i
+${NSISCOMIFACEDECL}IShellLink GetShowCmd 14 (*i)i
+${NSISCOMIFACEDECL}IShellLink SetShowCmd 15 (i)i
+${NSISCOMIFACEDECL}IShellLink GetIconLocation 16 (t,i,*i)i
+${NSISCOMIFACEDECL}IShellLink SetIconLocation 17 (t,i)i
+${NSISCOMIFACEDECL}IShellLink SetRelativePath 18 (t,i)i
+${NSISCOMIFACEDECL}IShellLink Resolve 19 (p,i)i
+${NSISCOMIFACEDECL}IShellLink SetPath 20 (t)i
+!endif
+
+!ifndef IID_IShellLinkDataList
+!define IID_IShellLinkDataList {45e2b4ae-b1c3-11d0-b92f-00a0c90312e1}
+${NSISCOMIFACEDECL}IShellLinkDataList AddDataBlock 3 (p)i
+${NSISCOMIFACEDECL}IShellLinkDataList CopyDataBlock 4 (i,*p)i
+${NSISCOMIFACEDECL}IShellLinkDataList RemoveDataBlock 5 (i)i
+${NSISCOMIFACEDECL}IShellLinkDataList GetFlags 6 (*i)i
+${NSISCOMIFACEDECL}IShellLinkDataList SetFlags 7 (i)i
+!endif
+!define /ifndef EXP_SZ_LINK_SIG         0xA0000001
+!define /ifndef NT_CONSOLE_PROPS_SIG    0xA0000002
+!define /ifndef NT_FE_CONSOLE_PROPS_SIG 0xA0000004
+!define /ifndef EXP_SPECIAL_FOLDER_SIG  0xA0000005
+!define /ifndef EXP_DARWIN_ID_SIG       0xA0000006
+!define /ifndef EXP_SZ_ICON_SIG         0xA0000007
+!define /ifndef EXP_PROPERTYSTORAGE_SIG 0xA0000009
+;SHELL_LINK_DATA_FLAGS
+!define /ifndef SLDF_HAS_ID_LIST                           0x00000001
+!define /ifndef SLDF_HAS_LINK_INFO                         0x00000002
+!define /ifndef SLDF_HAS_NAME                              0x00000004
+!define /ifndef SLDF_HAS_RELPATH                           0x00000008
+!define /ifndef SLDF_HAS_WORKINGDIR                        0x00000010
+!define /ifndef SLDF_HAS_ARGS                              0x00000020
+!define /ifndef SLDF_HAS_ICONLOCATION                      0x00000040
+!define /ifndef SLDF_UNICODE                               0x00000080
+!define /ifndef SLDF_FORCE_NO_LINKINFO                     0x00000100
+!define /ifndef SLDF_HAS_EXP_SZ                            0x00000200
+!define /ifndef SLDF_RUN_IN_SEPARATE                       0x00000400
+!define /ifndef SLDF_HAS_LOGO3ID                           0x00000800
+!define /ifndef SLDF_HAS_DARWINID                          0x00001000
+!define /ifndef SLDF_RUNAS_USER                            0x00002000
+!define /ifndef SLDF_HAS_EXP_ICON_SZ                       0x00004000
+!define /ifndef SLDF_NO_PIDL_ALIAS                         0x00008000
+!define /ifndef SLDF_FORCE_UNCNAME                         0x00010000
+!define /ifndef SLDF_RUN_WITH_SHIMLAYER                    0x00020000
+!define /ifndef SLDF_FORCE_NO_LINKTRACK                    0x00040000 ;[Vista+]
+!define /ifndef SLDF_ENABLE_TARGET_METADATA                0x00080000
+!define /ifndef SLDF_DISABLE_LINK_PATH_TRACKING            0x00100000 ;[Seven+]
+!define /ifndef SLDF_DISABLE_KNOWNFOLDER_RELATIVE_TRACKING 0x00200000
+!define /ifndef SLDF_NO_KF_ALIAS                           0x00400000
+!define /ifndef SLDF_ALLOW_LINK_TO_LINK                    0x00800000
+!define /ifndef SLDF_UNALIAS_ON_SAVE                       0x01000000
+!define /ifndef SLDF_PREFER_ENVIRONMENT_PATH               0x02000000
+!define /ifndef SLDF_KEEP_LOCAL_IDLIST_FOR_UNC_TARGET      0x04000000
+!define /ifndef SLDF_PERSIST_VOLUME_ID_RELATIVE            0x08000000 ;[Eight+]
+
+!ifndef IID_IShellItem
+!define IID_IShellItem {43826d1e-e718-42ee-bc55-a1e261c37bfe}
+${NSISCOMIFACEDECL}IShellItem BindToHandler 3 (p,g,g,*p)i
+${NSISCOMIFACEDECL}IShellItem GetParent 4 (*p)i
+${NSISCOMIFACEDECL}IShellItem GetDisplayName 5 (i,*p)i
+${NSISCOMIFACEDECL}IShellItem GetAttributes 6 (i,*i)i
+${NSISCOMIFACEDECL}IShellItem Compare 7 (p,i,*i)i
+!endif
+
+!ifndef CLSID_StartMenuPin
+!define CLSID_StartMenuPin {a2a9545d-a0c2-42b4-9708-a0b2badd77c8}
+!endif
+!ifndef IID_IStartMenuPinnedList
+!define IID_IStartMenuPinnedList {4CD19ADA-25A5-4A32-B3B7-347BEE5BE36B}
+${NSISCOMIFACEDECL}IStartMenuPinnedList RemoveFromList 3 (p)i
+!endif
+
+!ifndef IID_IPropertyStore
+!define IID_IPropertyStore {886D8EEB-8CF2-4446-8D02-CDBA1DBDCF99}
+${NSISCOMIFACEDECL}IPropertyStore GetCount 3 (*i)i
+${NSISCOMIFACEDECL}IPropertyStore GetAt 4 (i,p)i
+${NSISCOMIFACEDECL}IPropertyStore GetValue 5 (p,p)i
+${NSISCOMIFACEDECL}IPropertyStore SetValue 6 (p,p)i
+${NSISCOMIFACEDECL}IPropertyStore Commit 7 ()i
+!endif
+
+!ifndef IID_IPropertyStorage
+!define IID_IPropertyStorage {00000138-0000-0000-C000-000000000046}
+${NSISCOMIFACEDECL}IPropertyStorage ReadMultiple 3 (i,p,p)i
+${NSISCOMIFACEDECL}IPropertyStorage WriteMultiple 4 (i,p,p,i)i
+${NSISCOMIFACEDECL}IPropertyStorage DeleteMultiple 5 (i,p)i
+${NSISCOMIFACEDECL}IPropertyStorage ReadPropertyNames 6 (p,p)i
+${NSISCOMIFACEDECL}IPropertyStorage WritePropertyNames 7 (i,p,p)i
+${NSISCOMIFACEDECL}IPropertyStorage DeletePropertyNames 8 (i,p)i
+${NSISCOMIFACEDECL}IPropertyStorage Commit 9 (i)i ; Note: Some implementations might return E_NOTIMPL
+${NSISCOMIFACEDECL}IPropertyStorage Revert 10 ()i
+${NSISCOMIFACEDECL}IPropertyStorage Enum 11 (*p)i
+${NSISCOMIFACEDECL}IPropertyStorage SetTimes 12 (p,p,p)i
+${NSISCOMIFACEDECL}IPropertyStorage SetClass 13 (g)i
+${NSISCOMIFACEDECL}IPropertyStorage Stat 14 (p)i
+!endif
+
+!ifndef IID_IPropertySetStorage
+!define IID_IPropertySetStorage {0000013A-0000-0000-C000-000000000046}
+${NSISCOMIFACEDECL}IPropertySetStorage Create 3 (g,g,i,i,*p)i
+${NSISCOMIFACEDECL}IPropertySetStorage Open 4 (g,i,*p)i
+${NSISCOMIFACEDECL}IPropertySetStorage Delete 5 (g)i
+${NSISCOMIFACEDECL}IPropertySetStorage Enum 6 (*p)i
+!endif
+
+!ifndef CLSID_ApplicationAssociationRegistration
+!define CLSID_ApplicationAssociationRegistration {591209c7-767b-42b2-9fba-44ee4615f2c7}
+!endif
+!ifndef IID_IApplicationAssociationRegistration
+!define IID_IApplicationAssociationRegistration {4e530b0a-e611-4c77-a3ac-9031d022281b} ;[Vista+]
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration QueryCurrentDefault 3 (w,i,i,*p)i
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration QueryAppIsDefault 4 (w,i,i,w,*i)i
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration QueryAppIsDefaultAll 5 (i,w,*i)i
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration SetAppAsDefault 6 (w,w,i)i
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration SetAppAsDefaultAll 7 (w)i
+${NSISCOMIFACEDECL}IApplicationAssociationRegistration ClearUserAssociations 8 ()i
+!endif
+!ifndef CLSID_ApplicationAssociationRegistrationUI
+!define CLSID_ApplicationAssociationRegistrationUI {1968106d-f3b5-44cf-890e-116fcb9ecef1}
+!endif
+!ifndef IID_IApplicationAssociationRegistrationUI
+!define IID_IApplicationAssociationRegistrationUI {1f76a169-f994-40ac-8fc8-0959e8874710} ;[Vista+]
+${NSISCOMIFACEDECL}IApplicationAssociationRegistrationUI LaunchAdvancedAssociationUI 3 (w)i
+!endif
+
+!ifndef CLSID_GameExplorer
+!define CLSID_GameExplorer {9A5EA990-3034-4D6F-9128-01F3C61022BC}
+!endif
+!ifndef IID_IGameExplorer
+!define IID_IGameExplorer {E7B2FB72-D728-49B3-A5F2-18EBF5F1349E} ;[Vista+]
+${NSISCOMIFACEDECL}IGameExplorer AddGame 3 (p,p,i,g)i
+${NSISCOMIFACEDECL}IGameExplorer RemoveGame 4 (i,i,i,i)i ; The parameter is a GUID, not REFGUID so the 'g' type cannot be used!
+${NSISCOMIFACEDECL}IGameExplorer UpdateGame 5 (i,i,i,i)i
+${NSISCOMIFACEDECL}IGameExplorer VerifyAccess 6 (p,*i)i
+!endif
+!define /ifndef GIS_NOT_INSTALLED 1
+!define /ifndef GIS_CURRENT_USER 2
+!define /ifndef GIS_ALL_USERS 3
+!ifndef IID_IGameExplorer2
+!define IID_IGameExplorer2 {86874AA7-A1ED-450d-A7EB-B89E20B2FFF3} ;[Seven+]
+${NSISCOMIFACEDECL}IGameExplorer2 InstallGame 3 (w,w,i)i
+${NSISCOMIFACEDECL}IGameExplorer2 UninstallGame 4 (w)i
+${NSISCOMIFACEDECL}IGameExplorer2 CheckAccess 5 (w,*i)i
+!endif
+!ifndef CLSID_GameStatistics
+!define CLSID_GameStatistics {DBC85A2C-C0DC-4961-B6E2-D28B62C11AD4}
+!endif
+!ifndef IID_IGameStatisticsMgr
+!define IID_IGameStatisticsMgr {AFF3EA11-E70E-407d-95DD-35E612C41CE2} ;[Seven+]
+${NSISCOMIFACEDECL}IGameStatisticsMgr GetGameStatistics 3 (w,i,*i,*p)i
+${NSISCOMIFACEDECL}IGameStatisticsMgr RemoveGameStatistics 4 (w)i
+!endif
+
+!ifndef CLSID_InternetShortcut
+!define CLSID_InternetShortcut {FBF23B40-E3F0-101B-8488-00AA003E56F8}
+!endif
+!ifndef IID_IUniformResourceLocator
+!define IID_IUniformResourceLocatorA {FBF23B80-E3F0-101B-8488-00AA003E56F8}
+!define IID_IUniformResourceLocatorW {CABB0DA0-DA57-11CF-9974-0020AFD79762}
+!ifdef NSIS_UNICODE
+!define IID_IUniformResourceLocator ${IID_IUniformResourceLocatorW}
+!else
+!define IID_IUniformResourceLocator ${IID_IUniformResourceLocatorA}
+!endif
+${NSISCOMIFACEDECL}IUniformResourceLocator SetURL 3 (t,i)i
+${NSISCOMIFACEDECL}IUniformResourceLocator GetURL 4 (*p)i
+${NSISCOMIFACEDECL}IUniformResourceLocator InvokeCommand 5 (p)i
+!endif
+
+!verbose pop
+!endif /* __WIN_COM__INC */
Index: tmp/org.txm.setups/nsis/Include/Win/WinNT.nsh
===================================================================
--- tmp/org.txm.setups/nsis/Include/Win/WinNT.nsh	(revision 2955)
+++ tmp/org.txm.setups/nsis/Include/Win/WinNT.nsh	(revision 2956)
@@ -132,25 +132,25 @@
 !define TOKEN_WRITE      0x200E0 ;(STANDARD_RIGHTS_WRITE|TOKEN_ADJUST_PRIVILEGES|TOKEN_ADJUST_GROUPS|TOKEN_ADJUST_DEFAULT)
 !define TOKEN_EXECUTE    ${STANDARD_RIGHTS_EXECUTE}
 
-!define PROCESS_TERMINATE         0x0001  
-!define PROCESS_CREATE_THREAD     0x0002  
-!define PROCESS_SET_SESSIONID     0x0004  
-!define PROCESS_VM_OPERATION      0x0008  
-!define PROCESS_VM_READ           0x0010  
-!define PROCESS_VM_WRITE          0x0020  
-!define PROCESS_DUP_HANDLE        0x0040  
-!define PROCESS_CREATE_PROCESS    0x0080  
-!define PROCESS_SET_QUOTA         0x0100  
-!define PROCESS_SET_INFORMATION   0x0200  
-!define PROCESS_QUERY_INFORMATION 0x0400  
-!define PROCESS_SUSPEND_RESUME    0x0800  
+!define PROCESS_TERMINATE         0x0001
+!define PROCESS_CREATE_THREAD     0x0002
+!define PROCESS_SET_SESSIONID     0x0004
+!define PROCESS_VM_OPERATION      0x0008
+!define PROCESS_VM_READ           0x0010
+!define PROCESS_VM_WRITE          0x0020
+!define PROCESS_DUP_HANDLE        0x0040
+!define PROCESS_CREATE_PROCESS    0x0080
+!define PROCESS_SET_QUOTA         0x0100
+!define PROCESS_SET_INFORMATION   0x0200
+!define PROCESS_QUERY_INFORMATION 0x0400
+!define PROCESS_SUSPEND_RESUME    0x0800
 !define PROCESS_ALL_ACCESS      0x1F0FFF ;(STANDARD_RIGHTS_REQUIRED | SYNCHRONIZE | 0xFFF)
-!define THREAD_TERMINATE               0x0001  
-!define THREAD_SUSPEND_RESUME          0x0002  
-!define THREAD_GET_CONTEXT             0x0008  
-!define THREAD_SET_CONTEXT             0x0010  
-!define THREAD_SET_INFORMATION         0x0020  
-!define THREAD_QUERY_INFORMATION       0x0040  
+!define THREAD_TERMINATE               0x0001
+!define THREAD_SUSPEND_RESUME          0x0002
+!define THREAD_GET_CONTEXT             0x0008
+!define THREAD_SET_CONTEXT             0x0010
+!define THREAD_SET_INFORMATION         0x0020
+!define THREAD_QUERY_INFORMATION       0x0040
 !define THREAD_SET_THREAD_TOKEN        0x0080
 !define THREAD_IMPERSONATE             0x0100
 !define THREAD_DIRECT_IMPERSONATION    0x0200
@@ -166,30 +166,30 @@
 !define MUTANT_QUERY_STATE      0x0001
 !define MUTANT_ALL_ACCESS 0x1F0001 ;(STANDARD_RIGHTS_REQUIRED|SYNCHRONIZE|MUTANT_QUERY_STATE)
 
-!define FILE_SHARE_READ   0x00000001  
-!define FILE_SHARE_WRITE  0x00000002  
-!define FILE_SHARE_DELETE 0x00000004  
-!define FILE_ATTRIBUTE_READONLY             0x00000001  
-!define FILE_ATTRIBUTE_HIDDEN               0x00000002  
-!define FILE_ATTRIBUTE_SYSTEM               0x00000004  
-!define FILE_ATTRIBUTE_DIRECTORY            0x00000010  
-!define FILE_ATTRIBUTE_ARCHIVE              0x00000020  
-!define FILE_ATTRIBUTE_DEVICE               0x00000040  
-!define FILE_ATTRIBUTE_NORMAL               0x00000080  
-!define FILE_ATTRIBUTE_TEMPORARY            0x00000100  
-!define FILE_ATTRIBUTE_SPARSE_FILE          0x00000200  
-!define FILE_ATTRIBUTE_REPARSE_POINT        0x00000400  
-!define FILE_ATTRIBUTE_COMPRESSED           0x00000800  
-!define FILE_ATTRIBUTE_OFFLINE              0x00001000  
-!define FILE_ATTRIBUTE_NOT_CONTENT_INDEXED  0x00002000  
-!define FILE_ATTRIBUTE_ENCRYPTED            0x00004000  
+!define FILE_SHARE_READ   0x00000001
+!define FILE_SHARE_WRITE  0x00000002
+!define FILE_SHARE_DELETE 0x00000004
+!define FILE_ATTRIBUTE_READONLY             0x00000001
+!define FILE_ATTRIBUTE_HIDDEN               0x00000002
+!define FILE_ATTRIBUTE_SYSTEM               0x00000004
+!define FILE_ATTRIBUTE_DIRECTORY            0x00000010
+!define FILE_ATTRIBUTE_ARCHIVE              0x00000020
+!define FILE_ATTRIBUTE_DEVICE               0x00000040
+!define FILE_ATTRIBUTE_NORMAL               0x00000080
+!define FILE_ATTRIBUTE_TEMPORARY            0x00000100
+!define FILE_ATTRIBUTE_SPARSE_FILE          0x00000200
+!define FILE_ATTRIBUTE_REPARSE_POINT        0x00000400
+!define FILE_ATTRIBUTE_COMPRESSED           0x00000800
+!define FILE_ATTRIBUTE_OFFLINE              0x00001000
+!define FILE_ATTRIBUTE_NOT_CONTENT_INDEXED  0x00002000
+!define FILE_ATTRIBUTE_ENCRYPTED            0x00004000
 
-!define DUPLICATE_CLOSE_SOURCE 0x00000001  
-!define DUPLICATE_SAME_ACCESS  0x00000002  
+!define DUPLICATE_CLOSE_SOURCE 0x00000001
+!define DUPLICATE_SAME_ACCESS  0x00000002
 
-!define VER_PLATFORM_WIN32s             0
-!define VER_PLATFORM_WIN32_WINDOWS      1
-!define VER_PLATFORM_WIN32_NT           2
+!define /ifndef VER_PLATFORM_WIN32s         0
+!define /ifndef VER_PLATFORM_WIN32_WINDOWS  1
+!define /ifndef VER_PLATFORM_WIN32_NT       2
 
 !ifndef REG_SZ & NSIS_WINDOWS__NO_REGTYPES
 !define REG_NONE                 0
@@ -203,7 +203,22 @@
 !define REG_MULTI_SZ             7
 !endif
 
+!define PROCESSOR_ARCHITECTURE_UNKNOWN 0xFFFF
+!define PROCESSOR_ARCHITECTURE_INTEL          0 ; x86
+!define PROCESSOR_ARCHITECTURE_ARM            5
+!define PROCESSOR_ARCHITECTURE_IA64           6 ; Itanium
+!define PROCESSOR_ARCHITECTURE_AMD64          9 ; x86-64/x64
+!define PROCESSOR_ARCHITECTURE_IA32_ON_WIN64  10
+!define PROCESSOR_ARCHITECTURE_ARM64          12
+!define PROCESSOR_ARCHITECTURE_ARM32_ON_WIN64 13
 
+!define IMAGE_FILE_MACHINE_UNKNOWN 0
+!define IMAGE_FILE_MACHINE_I386  332   ; x86
+!define IMAGE_FILE_MACHINE_ARMNT 452
+!define IMAGE_FILE_MACHINE_IA64  512   ; Itanium
+!define IMAGE_FILE_MACHINE_AMD64 34404 ; x86-64/x64
+!define IMAGE_FILE_MACHINE_ARM64 43620
+
 !endif /* __WIN_NOINC_WINNT */
 !verbose pop
 !endif /* __WIN_WINNT__INC */
\ No newline at end of file
Index: tmp/org.txm.setups/nsis/Include/Win/Propkey.nsh
===================================================================
--- tmp/org.txm.setups/nsis/Include/Win/Propkey.nsh	(revision 0)
+++ tmp/org.txm.setups/nsis/Include/Win/Propkey.nsh	(revision 2956)
@@ -0,0 +1,216 @@
+!ifndef __WIN_PROPKEY__INC
+!define __WIN_PROPKEY__INC
+!verbose push
+!verbose 3 
+
+
+/**************************************************
+WTypes.h
+**************************************************/
+;NOTE: This list is incomplete
+!define VT_EMPTY     0
+!define VT_NULL      1
+!define VT_I2        2
+!define VT_I4        3
+!define VT_BSTR      8
+!define VT_BOOL      11
+!define VT_I1        16
+!define VT_UI1       17
+!define VT_UI2       18
+!define VT_UI4       19
+!define VT_I8        20
+!define VT_UI8       21
+!define VT_INT       22
+!define VT_UINT      23
+!define VT_HRESULT   25
+!define VT_PTR       26
+!define VT_SAFEARRAY 27
+!define VT_LPSTR     30 ; SHStrDupA
+!define VT_LPWSTR    31 ; SHStrDupW
+!define VT_FILETIME  64
+!define VT_STREAM    66
+!define VT_CLSID     72 ; Pointer to CoTaskMem allocated GUID
+!define VT_TYPEMASK 0xFFF
+!define VT_VECTOR  0x1000
+!define VT_ARRAY   0x2000
+!define VT_BYREF   0x4000
+
+!define /ifndef VARIANT_TRUE -1
+!define /ifndef VARIANT_FALSE 0
+
+!define SYSSIZEOF_PROPERTYKEY 20
+!define SYSSTRUCT_PROPERTYKEY (&g16,&i4) ;System.dll is buggy when it comes to g and forces us to specify the size
+
+!define STGC_DEFAULT 0
+!define STGC_OVERWRITE 1
+!define STGC_ONLYIFCURRENT 2
+!define STGC_DANGEROUSLYCOMMITMERELYTODISKCACHE 4
+!define STGC_CONSOLIDATE 8
+
+
+/**************************************************
+OAIdl.h
+**************************************************/
+!if "${NSIS_PTR_SIZE}" > 4
+!define SYSSIZEOF_VARIANT 24
+!define SYSSTRUCT_VARIANT (&i2,&i6,&i8,&i8)
+!else
+!define SYSSIZEOF_VARIANT 16
+!define SYSSTRUCT_VARIANT (&i2,&i6,&i8)
+!endif
+
+
+/**************************************************
+PropIdl.h
+**************************************************/
+!if "${NSIS_PTR_SIZE}" > 4
+!define SYSSIZEOF_PROPVARIANT 24
+!define SYSSTRUCT_PROPVARIANT (&i2,&i6,&i8,&i8)
+!else
+!define SYSSIZEOF_PROPVARIANT 16
+!define SYSSTRUCT_PROPVARIANT (&i2,&i6,&i8)
+!endif
+
+!define PRSPEC_LPWSTR 0
+!define PRSPEC_PROPID 1
+!define SYSSTRUCT_PROPSPEC (p,p)
+
+
+/**************************************************
+Propkey.h
+**************************************************/
+!define PKEY_AppUserModel_RelaunchCommand             '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",2' ; VT_LPWSTR (SHGetPropertyStoreForWindow)
+!define PKEY_AppUserModel_RelaunchIconResource        '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",3' ; VT_LPWSTR (SHGetPropertyStoreForWindow, optional. Path to icon or module, with resource ID or index.)
+!define PKEY_AppUserModel_RelaunchDisplayNameResource '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",4' ; VT_LPWSTR (SHGetPropertyStoreForWindow. @ style indirect resource string or a plain string.)
+!define PKEY_AppUserModel_ID                          '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",5' ; VT_LPWSTR
+!define PKEY_AppUserModel_IsDestListSeparator         '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",6' ; VT_BOOL
+!define PKEY_AppUserModel_ExcludeFromShowInNewInstall '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",8' ; VT_BOOL
+!define PKEY_AppUserModel_PreventPinning              '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",9' ; VT_BOOL
+!define PKEY_AppUserModel_IsDualMode '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",11' ; [Eight+] VT_BOOL
+!define APPUSERMODEL_STARTPINOPTION_NOPINONINSTALL 1
+!define APPUSERMODEL_STARTPINOPTION_USERPINNED 2
+!define PKEY_AppUserModel_StartPinOption '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",12' ; [Eight+] VT_UI4
+!define PKEY_AppUserModel_ToastActivatorCLSID '"{9F4C2855-9F79-4B39-A8D0-E1D42DE1D5F3}",26' ; [10FU1507+] VT_CLSID
+!define PKEY_EdgeGesture_DisableTouchWhenFullscreen '"{32CE38B2-2C9A-41B1-9BC5-B3784394AA44}",2' ; [Eight+] VT_BOOL (SHGetPropertyStoreForWindow)
+
+
+/**************************************************
+ShlGuid.h & ShlObj.h
+**************************************************/
+!define FMTID_Intshcut {000214A0-0000-0000-C000-000000000046}
+!define PID_IS_URL 2 ; VT_LPWSTR
+!define PID_IS_HOTKEY 6 ; VT_UI2
+!define PID_IS_ICONINDEX 8 ; VT_I4
+!define PID_IS_ICONFILE 9 ; VT_LPWSTR
+!define PKEY_Intshcut_Url '"${FMTID_Intshcut}",${PID_IS_URL}' ; Undocumented
+!define FMTID_InternetSite {000214A1-0000-0000-C000-000000000046}
+!define PID_INTSITE_LASTVISIT 4 ; VT_FILETIME
+!define PID_INTSITE_VISITCOUNT 6 ; VT_UI4
+
+
+/**************************************************
+Helper macros
+**************************************************/
+!define V_GetVT '!insertmacro V_GetVT '
+!macro V_GetVT pPV sysdst
+System::Call '*${pPV}(&i2.${sysdst})'
+!macroend
+!define V_SetVT '!insertmacro V_SetVT '
+!macro V_SetVT pPV syssrc
+System::Call '*${pPV}(&i2 ${syssrc})'
+!macroend
+!macro V_GetHelper sysvaltyp pPV sysdst
+System::Call '*${pPV}(l,${sysvaltyp}.${sysdst})'
+!macroend
+!macro V_GenericSetHelper sysvaltyp pPV VT syssrc
+!if "${VT}" != "" ; Setting the VT is optional
+  System::Call '*${pPV}(&i2 ${VT},&i6,${sysvaltyp}${syssrc})'
+!else
+  System::Call '*${pPV}(l,${sysvaltyp}${syssrc})'
+!endif
+!macroend
+!macro V_SpecificSetHelper VT sysvaltyp pPV syssrc
+System::Call '*${pPV}(&i2 ${VT},&i6,${sysvaltyp}${syssrc})'
+!macroend
+!macro Make_V_GetterSetter name sysvaltyp setsep
+!define V_Get${name} '!insertmacro V_GetHelper "${sysvaltyp}" '
+!ifdef VT_${name}
+  !define V_Set${name} '!insertmacro V_SpecificSetHelper ${VT_${name}} "${sysvaltyp}${setsep}" '
+!else
+  !define V_Set${name} '!insertmacro V_GenericSetHelper "${sysvaltyp}${setsep}" '
+!endif
+!macroend
+!insertmacro Make_V_GetterSetter Int8 "&i1" " "  ; Generic
+!insertmacro Make_V_GetterSetter Int16 "&i2" " " ; Generic
+!insertmacro Make_V_GetterSetter Int32 "i" ""    ; Generic
+!insertmacro Make_V_GetterSetter Int64 "l" ""    ; Generic
+!insertmacro Make_V_GetterSetter Pointer "p" ""  ; Generic
+!insertmacro Make_V_GetterSetter I4 "i" " "
+!insertmacro Make_V_GetterSetter BOOL "&i2" " "
+!insertmacro Make_V_GetterSetter FILETIME "l" ""
+
+!macro VariantInit pV
+${V_SetVT} ${pV} ${VT_EMPTY}
+!macroend
+!macro VariantClear pV
+System::Call 'OLEAUT32::#9(p${pV})'
+!macroend
+!macro VariantCopy pDstV pSrcV sysretHR
+System::Call 'OLEAUT32::#10(p${pDstV},p${pSrcV})i.${sysretHR}' ; (Frees the destination variant before it copies the source)
+!macroend
+!macro VariantCopyInd pDstV pSrcV sysretHR
+System::Call 'OLEAUT32::#11(p${pDstV},p${pSrcV})i.${sysretHR}' ; (Frees the destination variant before it copies the source)
+!macroend
+!macro VariantChangeType pDstV pSrcV Flags VT sysretHR
+System::Call 'OLEAUT32::#12(p${pDstV},p${pSrcV},i${Flags},i${VT})i.${sysretHR}' ; (Might free the destination on success)
+!macroend
+
+
+!macro PropVariantClear pPV
+System::Call 'OLE32::PropVariantClear(p${pPV})' ; WinNT4.SP0+, Win98+, IE4+
+!macroend
+!macro PropVariantCopy pDstPV pSrcPV sysretHR
+System::Call 'OLE32::PropVariantCopy(p${pDstPV},p${pSrcPV})i.${sysretHR}' ; WinNT4.SP0+, Win98+, IE4+ (Does NOT free the destination before it copies the source)
+!macroend
+!macro PropVariantChangeType pDstPV pSrcPV VT sysretHR
+!ifdef NSIS_ARM | NSIS_ARM32 | NSIS_ARMNT | NSIS_ARM64
+  System::Call 'PROPSYS::PropVariantChangeType(p${pDstPV},p${pSrcPV},i0,i${VT})i.${sysretHR}'
+!else
+  Push "${VT}"
+  Push ${pSrcPV}
+  Push ${pDstPV}
+  !include Util.nsh
+  ${CallArtificialFunction} TryPropVariantChangeType
+  System::Call 'KERNEL32::SetLastError(is${sysretHR})' ; A hack to move the result from the stack to somewhere with System variable syntax
+!endif
+!macroend
+!macro TryPropVariantChangeType
+System::Store S
+System::Call 'PROPSYS::PropVariantChangeType(psr1,psr2,i0,isr3)i.r0' ; Vista+ (Source and destination cannot be the same address)
+StrCmp $0 error "" done
+System::Call 'OLE32::PropVariantChangeType(pr1,pr2,i0,i0,ir3})i.r0' ; 2000+ (Source and destination cannot be the same address)
+!if ${NSIS_PTR_SIZE} < 8
+  StrCmp $0 error "" done
+  !insertmacro VariantChangeType $1 $2 0 $3 r0 ; This is not really correct but there is no PROPVARIANT support on these platforms. Might free the destination!
+!endif
+done:
+Push $0
+System::Store L
+!macroend
+
+
+!macro IPropertyStorage_ReadPropById pPS ID pPV sysoutHR
+System::Call '*(p${PRSPEC_PROPID},p${ID})p.s'
+${IPropertyStorage::ReadMultiple} ${pPS} '(1,pss,p${pPV})${sysoutHR}'
+System::Free
+!macroend
+
+!macro IPropertyStorage_WritePropById pPS ID pPV sysoutHR
+System::Call '*(p${PRSPEC_PROPID},p${ID})p.s'
+${IPropertyStorage::WriteMultiple} ${pPS} '(1,pss,p${pPV},2)${sysoutHR}'
+System::Free
+!macroend
+
+
+!verbose pop
+!endif /* __WIN_PROPKEY__INC */
Index: tmp/org.txm.setups/nsis/Include/Win/WinDef.nsh
===================================================================
--- tmp/org.txm.setups/nsis/Include/Win/WinDef.nsh	(revision 2955)
+++ tmp/org.txm.setups/nsis/Include/Win/WinDef.nsh	(revision 2956)
@@ -5,9 +5,7 @@
 !ifndef __WIN_NOINC_WINDEF
 
 
-!ifndef MAX_PATH
-!define MAX_PATH 260
-!endif
+!define /ifndef MAX_PATH 260
 #define NULL 0
 
 
@@ -41,8 +39,7 @@
 !define LOWORD "!insertmacro _Win_LOWORD "
 
 !macro _Win_HIWORD _outvar _in
-IntOp ${outvar} "${_in}" >> 16 ;sign extended :(
-${LOWORD} ${_outvar} ${outvar} ;make sure we strip off the upper word
+IntOp ${_outvar} "${_in}" >>> 16
 !macroend
 !define HIWORD "!insertmacro _Win_HIWORD "
 
@@ -60,13 +57,9 @@
 IntOp ${_outvar} ${_outvar} | ${_tmpvar}
 !macroend
 !define MAKELONG "!insertmacro _Win_MAKELONG32 "
-!if "${__WIN_PTRSIZE}" <= 4
 !define MAKEWPARAM "${MAKELONG}"
 !define MAKELPARAM "${MAKELONG}"
 !define MAKELRESULT "${MAKELONG}"
-!else
-!error "Missing 64bit imp!"
-!endif
 
 
 !endif /* __WIN_NOINC_WINDEF */
